import { createContext, useContext } from 'react'

interface User {
  auth: boolean
  first_name: string
  last_name: string
}

interface IUserContext {
  user: User
  fetchUserInfo: () => void
  clearUserInfo: () => void
}

function noop() {}

export const UserContext = createContext<IUserContext>({
  user: { auth: false, first_name: '', last_name: '' },
  fetchUserInfo: noop,
  clearUserInfo: noop,
})
export const useUserContext = () => useContext(UserContext)
