import { useState, useEffect } from 'react'

type RoleTypeData = {
  identifier: string
  name_en: string
  name_nb: string
}

function useRoleTypes(): RoleTypeData[] {
  const [roleTypes, setRoleTypes] = useState<RoleTypeData[]>([])

  async function fetchRoleTypes() {
    fetch(`http://localhost:3000/api/ui/v1/roletypes`)
      .then(data => data.text())
      .then((result => {
        // The response is a JSON-array
        setRoleTypes(JSON.parse(result))
      }))
      .catch(error => {
        console.error(error)
      })
  }

  useEffect(() => {
    fetchRoleTypes()
  }, [])

  return roleTypes
}

export type { RoleTypeData }
export default useRoleTypes
