import React, { Suspense } from 'react'
import ReactDOM from 'react-dom'
import { ThemeProvider } from '@mui/material/styles'
import AdapterDateFns from '@mui/lab/AdapterDateFns'
import { LocalizationProvider } from '@mui/lab'
import { BrowserRouter as Router } from 'react-router-dom'
import 'i18n'

import getTheme from 'themes'
import App from 'routes'
import Loading from 'components/loading'
import { UserProvider } from 'providers'
import reportWebVitals from './reportWebVitals'

function appRoot() {
  return (
    <React.StrictMode>
      <Router>
        <Suspense fallback={<Loading />}>
          <LocalizationProvider dateAdapter={AdapterDateFns}>
          <ThemeProvider theme={getTheme()}>
            <UserProvider>
              <App />
            </UserProvider>
          </ThemeProvider>
          </LocalizationProvider>
        </Suspense>
      </Router>
    </React.StrictMode>
  )
}

ReactDOM.render(React.createElement(appRoot), document.getElementById('root'))

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals()
