import { useEffect } from 'react'
import { useUserContext } from '../../contexts'

function UserInfo() {
  const { user, fetchUserInfo } = useUserContext()

  // Force a first login
  useEffect(() => {
    fetchUserInfo()
  }, [])

  if (user.auth) {
    return (
      <div>
        {user.first_name} {user.last_name}
      </div>
    )
  }
  return <></>
}

export default UserInfo
