import { Link } from 'react-router-dom'

import Page from 'components/page'
import { Debug } from 'components/debug'
import { useUserContext } from 'contexts'

import LoginPage from './components/loginpage'

export default function FrontPage() {
  const { user } = useUserContext()

  if (user.auth) {
    return (
      <Page>
        <p>
          <strong>Routes</strong>
          <p>
            {user.first_name} {user.last_name}
          </p>
          <ul>
            <li>
              <Link to="/">Front page</Link>
            </li>
            <li>
              <Link to="/sponsor/">Sponsor</Link>
            </li>
            <li>
              <Link to="/register/">Registration</Link>
            </li>
          </ul>
        </p>
        <Debug />
      </Page>
    )
  }
  return <LoginPage />
}
